path: /build/build/net-ftp-dev-ruby-0.3.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/net-ftp -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/net-ftp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/net-ftp && luet-portage --dir /pkgdir/net-ftp
    dev-ruby/net-ftp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c4f1b9f1fa7fb312e6cee77c9571ca439a090b14d594740c3e08fcbf38d98699
  package:
    name: net-ftp
    version: 0.3.4
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: This class implements the File Transfer Protocol.
    uri:
    - https://github.com/ruby/net-ftp
    license: '|| ( Ruby-BSD BSD-2 )'
    buildtimestamp: 2024-02-06 20:38:58.652412571 +0000 UTC m=+77.018465706
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/net-ftp
      kit: ruby-kit
      original.package.name: dev-ruby/net-ftp
      original.package.slot: "0"
      original.package.version: 0.3.4
    treedir: /build/packages
  package_dir: /pkgdir/net-ftp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 63323514e9562771b91b0da75f9ba7843ce5046e781b4c101e3298653474755f
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/net-ftp-0.3.4/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/net-ftp-0.3.4/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/net-ftp-0.3.4/lib/net/ftp.rb
- usr/lib64/ruby/gems/3.1.0/specifications/net-ftp-0.3.4.gemspec
- usr/share/doc/net-ftp-0.3.4/README.md.bz2
- var/db/pkg/dev-ruby/net-ftp-0.3.4/BDEPEND
- var/db/pkg/dev-ruby/net-ftp-0.3.4/BUILD_TIME
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CATEGORY
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CBUILD
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CFLAGS
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CHOST
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CONTENTS
- var/db/pkg/dev-ruby/net-ftp-0.3.4/COUNTER
- var/db/pkg/dev-ruby/net-ftp-0.3.4/CXXFLAGS
- var/db/pkg/dev-ruby/net-ftp-0.3.4/DEFINED_PHASES
- var/db/pkg/dev-ruby/net-ftp-0.3.4/DEPEND
- var/db/pkg/dev-ruby/net-ftp-0.3.4/DESCRIPTION
- var/db/pkg/dev-ruby/net-ftp-0.3.4/EAPI
- var/db/pkg/dev-ruby/net-ftp-0.3.4/FEATURES
- var/db/pkg/dev-ruby/net-ftp-0.3.4/HOMEPAGE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/INHERITED
- var/db/pkg/dev-ruby/net-ftp-0.3.4/IUSE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/KEYWORDS
- var/db/pkg/dev-ruby/net-ftp-0.3.4/LDFLAGS
- var/db/pkg/dev-ruby/net-ftp-0.3.4/LICENSE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/PF
- var/db/pkg/dev-ruby/net-ftp-0.3.4/RDEPEND
- var/db/pkg/dev-ruby/net-ftp-0.3.4/RESTRICT
- var/db/pkg/dev-ruby/net-ftp-0.3.4/SIZE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/SLOT
- var/db/pkg/dev-ruby/net-ftp-0.3.4/USE
- var/db/pkg/dev-ruby/net-ftp-0.3.4/environment.bz2
- var/db/pkg/dev-ruby/net-ftp-0.3.4/net-ftp-0.3.4.ebuild
- var/db/pkg/dev-ruby/net-ftp-0.3.4/repository
package_cacheimage: ""
runtime:
  name: net-ftp
  version: 0.3.4
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: This class implements the File Transfer Protocol.
  uri:
  - https://github.com/ruby/net-ftp
  license: '|| ( Ruby-BSD BSD-2 )'
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/net-ftp
    kit: ruby-kit
    original.package.name: dev-ruby/net-ftp
    original.package.slot: "0"
    original.package.version: 0.3.4
